Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.flash
Interface INorFlashSectorState

All Known Implementing Classes:
  NorFlashSectorState

    public interface INorFlashSectorState

Method Summary
`void` | `decrementMallocedCount()`
`void` | `erase(long sequence)`
`void` | `forceErase()`
`int` | `getAllocatedBlockCount()`
`Address` | `getEndAddress()`
`int` | `getFreedBlockCount()`
`INorFlashSectorState` | `getNextSector()`
`INorFlashSectorStateList` | `getOwningList()`
`long` | `getSequence()`
`int` | `getSize()`
`Address` | `getStartAddress()`
`Address` | `getWriteHeadAddress()`
`int` | `getWriteHeadPosition()`
`boolean` | `hasAvailable(int length)`
`boolean` | `hasErasedHeader()`
`void` | `incrementAllocatedBlockCount()`
`void` | `incrementFreedBlockCount()`
`void` | `readBytes(int offset, byte[] buffer, int bufferStart, int bufferLength)`
`void` | `removeErasedHeader()`
`void` | `resetHead()`
`void` | `setNextSector(INorFlashSectorState next)`
`void` | `setOwningList(INorFlashSectorStateList list)`
`void` | `setWriteHeadPosition(int position)`
`void` | `writeBytes(byte[] buffer, int bufferStart, int bufferLength)`
`void` | `writeBytes(int offset, byte[] buffer, int bufferStart, int bufferLength)`

Method Detail

### decrementMallocedCount

    void decrementMallocedCount()

### erase

    void erase(long sequence)
               throws RecordStoreException

  Throws:
    `RecordStoreException`

### forceErase

    void forceErase()
                    throws RecordStoreException

  Throws:
    `RecordStoreException`

### getAllocatedBlockCount

    int getAllocatedBlockCount()

### getEndAddress

    Address getEndAddress()

### getFreedBlockCount

    int getFreedBlockCount()

### getNextSector

    INorFlashSectorState getNextSector()

### getOwningList

    INorFlashSectorStateList getOwningList()

### getSequence

    long getSequence()

### getSize

    int getSize()

### getStartAddress

    Address getStartAddress()

### getWriteHeadAddress

    Address getWriteHeadAddress()

### getWriteHeadPosition

    int getWriteHeadPosition()

### hasAvailable

    boolean hasAvailable(int length)

### hasErasedHeader

    boolean hasErasedHeader()

### incrementAllocatedBlockCount

    void incrementAllocatedBlockCount()

### incrementFreedBlockCount

    void incrementFreedBlockCount()

### readBytes

    void readBytes(int offset,
                   byte[] buffer,
                   int bufferStart,
                   int bufferLength)
                   throws RecordStoreException

  Throws:
    `RecordStoreException`

### removeErasedHeader

    void removeErasedHeader()
                            throws RecordStoreException

  Throws:
    `RecordStoreException`

### resetHead

    void resetHead()

### setNextSector

    void setNextSector(INorFlashSectorState next)

### setOwningList

    void setOwningList(INorFlashSectorStateList list)

### setWriteHeadPosition

    void setWriteHeadPosition(int position)

### writeBytes

    void writeBytes(byte[] buffer,
                    int bufferStart,
                    int bufferLength)
                    throws RecordStoreException

  Throws:
    `RecordStoreException`

### writeBytes

    void writeBytes(int offset,
                    byte[] buffer,
                    int bufferStart,
                    int bufferLength)
                    throws RecordStoreException

  Throws:
    `RecordStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"